=== debian/changelog ===
kwin (4:5.8.6-1) unstable; urgency=medium

  * New upstream release (5.8.6) (Closes: 846508)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 24 Mar 2017 14:38:54 +0100

kwin (4:5.8.5-2) unstable; urgency=medium

  * Be more strict about runtime dependencies.
    Thanks to Ben Longbons for reporting (Closes: 848523)
  * Drop forced qtwayland runtime dependency.
    Thanks to Martin Graesslin for reporting (Closes: 855410)
  * Update kwin-wayland description about being a preview release.
    Thanks to Ben Longbons for reporting (Closes: 848524)

 -- Maximiliano Curia <maxy@debian.org>  Sat, 18 Feb 2017 10:42:33 +0100

kwin (4:5.8.5-1) experimental; urgency=medium

  * New upstream release (5.8.5).
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 30 Dec 2016 18:46:18 +0100

kwin (4:5.8.4-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.8.4)
  * Add breeze-dev build dependency.
    Thanks to Martin Graesslin for the report (Closes: 842912)
  * Bump qt buid deps and deps to 5.7
  * kwin-x11: Add provides x-window-manager

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

 -- Maximiliano Curia <maxy@debian.org>  Wed, 23 Nov 2016 18:36:53 +0100

kwin (4:5.8.2-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (5.8.2)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 19 Oct 2016 15:26:03 +0200

kwin (4:5.8.1-1) unstable; urgency=medium

  * Update copyright information

 -- Maximiliano Curia <maxy@debian.org>  Sun, 16 Oct 2016 23:00:42 +0200

kwin (4:5.8.0-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.8.0)
  * Update symbols files.
  * Follow upstream soversion bump
  * Update install files
  * Replace dbus-launch with dbus-run-session in tests
  * Bump group breaks (5.8)

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

 -- Maximiliano Curia <maxy@debian.org>  Fri, 07 Oct 2016 14:08:55 +0200

kwin (4:5.7.4-1) unstable; urgency=medium

  [ Pino Toscano ]
  * autopkgtest: switch from oxygen5-icon-theme back to the canonical
    oxygen-icon-theme.

  [ Maximiliano Curia ]
  * Add plasma-desktop recommends.
    Thanks to HJ (Closes: 834954)
  * New upstream release (5.7.4)
  * Bump group breaks (5.7)

 -- Maximiliano Curia <maxy@debian.org>  Sat, 27 Aug 2016 00:12:30 +0200

kwin (4:5.7.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Update symbols files.

  [ Jonathan Riddell ]
  * add KWinX11Platform.so to kwin-x11

 -- Maximiliano Curia <maxy@debian.org>  Mon, 11 Jul 2016 10:22:59 +0200

kwin (4:5.6.5-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 27 Jun 2016 18:14:24 +0200

kwin (4:5.6.4-3) unstable; urgency=medium

  * Add kwayland windowsystem platform plugin dependency
  * Add XInput build dependency
  * Add xwayland runtime dependency in kwin-wayland

 -- Maximiliano Curia <maxy@debian.org>  Sun, 05 Jun 2016 14:27:18 +0200

kwin (4:5.6.4-2) unstable; urgency=medium

  * Update copyright information
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 01 Jun 2016 10:42:19 +0200

kwin (4:5.6.4-1) experimental; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Refresh patches
  * Bump Standards-Version to 3.9.8
  * Update symbols files.
  * Drop missing symbol

  [ Maximiliano Curia ]
  * Revert "Add missing closes"
  * Keep unreleased with preview versions
  * uscan no longer supports this kind of watch files.
  * New upstream release (5.5.5).
  * Automatic update with ddeb_migration3.py
  * Add upstream metadata (DEP-12)
  * Follow upstream soversion bumps
  * Update symbols files
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Add new lintian-override about ldconfig-trigger for libkdeinit5_kwin_x11.so
  * Update testsuite

  [ Debian/Kubuntu Qt/KDE Maintainers ]
  * Drop kwinglesutils, removed upstream

 -- Maximiliano Curia <maxy@debian.org>  Sat, 28 May 2016 21:45:59 +0200

kwin (4:5.5.4-2) experimental; urgency=medium

  * Rebuild due to typo in symbols file.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 02 Feb 2016 10:29:43 +0100

kwin (4:5.5.4-1) experimental; urgency=medium

  * New upstream release (5.5.0).
  * Update symbols files from buildds logs (4:5.4.3-1.1).
  * New upstream release (5.5.1).
  * Follow upstream soversion bump
  * Add virtual backend.
  * New upstream release (5.5.2).
  * New upstream release (5.5.3).
  * New upstream release (5.5.4).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 27 Jan 2016 16:48:45 +0100

kwin (4:5.4.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add mips64 and mips64el into the arch list of libkwinglutils6.
    (Closes: #801800)

 -- YunQiang Su <syq@debian.org>  Thu, 03 Dec 2015 12:37:32 +0800
