## kwin 5.9.4

=== debian/changelog ===
kwin (4:5.9.4-0ubuntu1) zesty; urgency=low

  * New upstream bugfix release (5.9.4)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 23 Mar 2017 20:00:29 +0000

kwin (4:5.9.3-0ubuntu1) zesty; urgency=low

  * New upstream bugfix release (5.9.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 02 Mar 2017 09:54:24 +0000

kwin (4:5.9.2-0ubuntu1) zesty; urgency=low

  * New upstream bugfix release (5.9.2)
  * Refresh patch kubuntu_disable_failing_tests.diff

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 20 Feb 2017 11:07:29 +0000

kwin (4:5.9.1-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Pass '-fno-keep-inline-functions' to gcc in the acc test in order to
    avoid possible spurious test failures.

  [ Rik Mills ]
  * New upstream release (5.9.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 14 Feb 2017 23:22:23 +0000

kwin (4:5.9.0-0ubuntu1) zesty; urgency=low

  * New upstream release (5.9.0)
  * Refresh symbols

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 04 Feb 2017 00:56:38 +0000

kwin (4:5.8.5-0ubuntu1) zesty; urgency=low

  * New upstream release (5.8.5)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 29 Dec 2016 16:46:59 +0000

kwin (4:5.8.4-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://
  * Soname bump for library packages
  * Merge with debian:
    - with this merge the file KF5IdleTimeKWinWaylandPrivatePlugin.so was moved
      from kwin-common to kwin-wayland so add Breaks/Replaces in kwin-wayland
      against kwin-common (<< 4:5.8.3)
  * Execute 'kwin_wayland --framebuffer' before running tests.
  * Add kubuntu_disable_failing_tests.diff
  * Add dmz-cursor-theme to testsuite Depends, needed for autotest
    kwin-testPointerInput
  * Update symbols files

  [ Simon Quigley ]
  * New upstream release (5.8.3)

  [ Rik Mills ]
  * New upstream release (5.8.4)
  * Replace build dep plasma-framework-dev with new libkf5plasma-dev

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 05 Dec 2016 19:56:07 +0000

kwin (4:5.7.2-0ubuntu2) UNRELEASED; urgency=medium

  * Mark as optional new symbol due to gcc 6 transition
  * Update library packages for sobump and refresh symbols from build logs

 -- Rik Mills <rik.mills88@gmail.com>  Sun, 21 Aug 2016 11:20:12 +0100
