=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: kwin
 Section: kde
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: breeze-dev (>= 4:5.8.4~),
+Build-Depends: breeze-dev (>= 4:5.9.4~),
                cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 1.3.0~),
-               kinit-dev (>= 5.26.0~),
-               kscreenlocker-dev,
+               extra-cmake-modules (>= 5.31.0~),
+               kinit-dev (>= 5.31.0~),
+               kscreenlocker-dev (>= 5.9.4~),
                libdrm-dev (>= 2.4.62~),
                libegl1-mesa-dev (>= 1.2~),
                libepoxy-dev (>= 1.2),
@@ -17,32 +18,31 @@
                libgbm-dev,
                libice-dev,
                libinput-dev (>= 1.2~),
-               libkdecorations2-dev,
-               libkf5activities-dev (>= 5.26.0~),
-               libkf5completion-dev (>= 5.26.0~),
-               libkf5config-dev (>= 5.26.0~),
-               libkf5configwidgets-dev (>= 5.26.0~),
-               libkf5coreaddons-dev (>= 5.26.0~),
-               libkf5crash-dev (>= 5.26.0~),
-               libkf5declarative-dev (>= 5.26.0~),
-               libkf5doctools-dev (>= 5.26.0~),
-               libkf5globalaccel-dev (>= 5.26.0~),
-               libkf5i18n-dev (>= 5.26.0~),
-               libkf5iconthemes-dev (>= 5.26.0~),
-               libkf5idletime-dev (>= 5.26.0~),
-               libkf5kcmutils-dev (>= 5.26.0~),
-               libkf5kio-dev (>= 5.26.0~),
-               libkf5newstuff-dev (>= 5.26.0~),
-               libkf5notifications-dev (>= 5.26.0~),
-               libkf5package-dev (>= 5.26.0~),
-               libkf5plasma-dev (>= 5.26.0~),
-               libkf5service-dev (>= 5.26.0~),
-               libkf5textwidgets-dev (>= 5.26.0~),
-               libkf5wayland-dev (>= 4:5.26.0~),
-               libkf5widgetsaddons-dev (>= 5.26.0~),
-               libkf5windowsystem-dev (>= 5.26.0~),
-               libkf5xmlgui-dev (>= 5.26.0~),
-               libqt5x11extras5-dev (>= 5.7.0~),
+               libkdecorations2-dev (>= 4:5.9.4~),
+               libkf5activities-dev (>= 5.31.0~),
+               libkf5completion-dev (>= 5.31.0~),
+               libkf5config-dev (>= 5.31.0~),
+               libkf5configwidgets-dev (>= 5.31.0~),
+               libkf5coreaddons-dev (>= 5.31.0~),
+               libkf5crash-dev (>= 5.31.0~),
+               libkf5declarative-dev (>= 5.31.0~),
+               libkf5doctools-dev (>= 5.31.0~),
+               libkf5globalaccel-dev (>= 5.31.0~),
+               libkf5i18n-dev (>= 5.31.0~),
+               libkf5iconthemes-dev (>= 5.31.0~),
+               libkf5idletime-dev (>= 5.31.0~),
+               libkf5kcmutils-dev (>= 5.31.0~),
+               libkf5kio-dev (>= 5.31.0~),
+               libkf5newstuff-dev (>= 5.31.0~),
+               libkf5notifications-dev (>= 5.31.0~),
+               libkf5package-dev (>= 5.31.0~),
+               libkf5plasma-dev (>= 5.31.0~),
+               libkf5service-dev (>= 5.31.0~),
+               libkf5wayland-dev (>= 4:5.31.0~),
+               libkf5widgetsaddons-dev (>= 5.31.0~),
+               libkf5windowsystem-dev (>= 5.31.0~),
+               libkf5xmlgui-dev (>= 5.31.0~),
+               libqt5x11extras5-dev (>= 5.6.1~),
                libsm-dev,
                libudev-dev [linux-any],
                libwayland-dev (>= 1.2),
@@ -64,29 +64,30 @@
                libxcb1-dev (>= 1.10~),
                libxcursor-dev,
                libxi-dev,
-               libxkbcommon-dev (>= 0.5.0~),
+               libxkbcommon-dev (>= 0.4.1),
                pkg-config,
                pkg-kde-tools (>= 0.15.18~),
-               qtbase5-dev (>= 5.7.0~),
-               qtbase5-private-dev (>= 5.7.0~),
-               qtdeclarative5-dev (>= 5.7.0~),
-               qtscript5-dev (>= 5.7.0~),
-               qttools5-dev (>= 5.7.0~)
+               qtbase5-dev (>= 5.6.1~),
+               qtbase5-private-dev (>= 5.6.1~),
+               qtdeclarative5-dev (>= 5.6.1~),
+               qtscript5-dev (>= 5.6.1~),
+               qttools5-dev (>= 5.6.1~)
 Standards-Version: 3.9.8
 Homepage: https://projects.kde.org/projects/kde/workspace/kwin
-Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/plasma/kwin.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/plasma/kwin.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwin
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwin
 
 Package: kwin-dev
+Architecture: any
+Multi-Arch: no
 Section: libdevel
-Architecture: any
 Depends: kwin-common (= ${binary:Version}),
          libegl1-mesa-dev (>= 1.2~),
          libepoxy-dev (>= 1.2),
-         libkf5coreaddons-dev (>= 5.26.0~),
-         libkf5windowsystem-dev (>= 5.26.0~),
-         libqt5x11extras5-dev (>= 5.7.0~),
-         qtbase5-dev (>= 5.7.0~),
+         libkf5coreaddons-dev (>= 5.31.0~),
+         libkf5windowsystem-dev (>= 5.31.0~),
+         libqt5x11extras5-dev (>= 5.6.1~),
+         qtbase5-dev (>= 5.6.1~),
          ${misc:Depends},
          ${shlibs:Depends}
 Breaks: kde-workspace-dev
@@ -104,16 +105,17 @@
 
 Package: kwin-common
 Architecture: any
+Multi-Arch: same
 Depends: kwin-data (= ${source:Version}),
-         libkwineffects9 (= ${binary:Version}),
+         libkwineffects10 (= ${binary:Version}),
          qml-module-org-kde-kquickcontrolsaddons,
          qml-module-qtmultimedia,
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: libqt5multimedia5-plugins, plasma-desktop
 Suggests: kwin-addons
-Breaks: kwin (<= 4:5.3.1-0ubuntu3)
-Replaces: kwin (<= 4:5.3.1-0ubuntu3)
+Breaks: kwin (<= 4:5.3.1-0ubuntu3), kwin-data (<< 4:5.5.3a~)
+Replaces: kwin (<= 4:5.3.1-0ubuntu3), kwin-data (<< 4:5.5.3a~)
 Description: KDE window manager, common files
  KWin (pronounced as one syllable "kwin") is the window
  manager for the KDE Plasma Desktop. It gives you complete
@@ -127,14 +129,11 @@
 
 Package: kwin-x11
 Architecture: any
-Depends: kwin-common (= ${binary:Version}),
-         libkwinglutils9 (= ${binary:Version}),
-         libkwinxrenderutils9 (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
+Multi-Arch: no
+Depends: kwin-common (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Breaks: kde-window-manager (<< 4:5), kwin-addons (<< 4:5.8)
+Provides: kwin
 Replaces: kde-window-manager (<< 4:5)
-Provides: kwin, x-window-manager
 Description: KDE window manager, X11 version
  KWin (pronounced as one syllable "kwin") is the window
  manager for the KDE Plasma Desktop. It gives you complete
@@ -148,31 +147,35 @@
 
 Package: kwin-wayland
 Architecture: any
+Multi-Arch: no
 Depends: kwayland-integration,
          kwin-common (= ${binary:Version}),
-         kwin-wayland-backend-drm (= ${binary:Version}) | kwin-wayland-backend-fbdev (= ${binary:Version}) | kwin-wayland-backend-x11 (= ${binary:Version}) | kwin-wayland-backend-virtual (= ${binary:Version}) | kwin-wayland-backend-wayland (= ${binary:Version}),
+         kwin-wayland-backend-drm (= ${binary:Version}) | kwin-wayland-backend,
+         qtwayland5,
          xwayland,
          ${misc:Depends},
          ${shlibs:Depends}
+Breaks: kwin (<< 4:5.3.2+git20150715),
+        kwin-common (<< 4:5.8.3),
+        plasma-workspace-wayland (<< 4:5.8)
 Provides: kwin
-Description: KDE window manager, wayland version, PREVIEW release
- KWin (pronounced as one syllable "kwin") is the window
- manager for the KDE Plasma Desktop. It gives you complete
- control over your windows, making sure they're not in the way
- but aid you in your task. It paints the window decoration,
- the bar on top of every window with (configurable) buttons
- like close, maximize and minimize. It also handles placing
- of windows and switching between them.
- .
- This package provides the wayland version, which is still a work in progress
- project, and is available as a PREVIEW release. Don't expect the same
- stability as with the x11 version.
-Breaks: plasma-workspace-wayland (<< 4:5.8)
+Replaces: kwin (<< 4:5.3.2+git20150715), kwin-common (<< 4:5.8.3)
+Description: KDE window manager, wayland version
+ KWin (pronounced as one syllable "kwin") is the window
+ manager for the KDE Plasma Desktop. It gives you complete
+ control over your windows, making sure they're not in the way
+ but aid you in your task. It paints the window decoration,
+ the bar on top of every window with (configurable) buttons
+ like close, maximize and minimize. It also handles placing
+ of windows and switching between them.
+ .
+ This package is part of the KDE base workspace module.
 
 Package: libkwin4-effect-builtins1
-Section: libs
-Architecture: any
-Depends: libkwineffects9 (= ${binary:Version}),
+Architecture: any
+Multi-Arch: same
+Section: libs
+Depends: libkwineffects10 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: KDE window manager effect builtins library
@@ -186,9 +189,10 @@
  .
  This package is part of the KDE base workspace module.
 
-Package: libkwineffects9
-Section: libs
-Architecture: any
+Package: libkwineffects10
+Architecture: any
+Multi-Arch: same
+Section: libs
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: KDE window manager effects library
  KWin (pronounced as one syllable "kwin") is the window
@@ -201,9 +205,10 @@
  .
  This package is part of the KDE base workspace module.
 
-Package: libkwinglutils9
-Section: libs
-Architecture: any
+Package: libkwinglutils10
+Architecture: any
+Multi-Arch: same
+Section: libs
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Breaks: kwin-common (<< 4:5.4), libkwin4-effect-builtins1 (<< 4:5.4)
 Description: KDE window manager gl utils library
@@ -217,9 +222,10 @@
  .
  This package is part of the KDE base workspace module.
 
-Package: libkwinxrenderutils9
-Section: libs
-Architecture: any
+Package: libkwinxrenderutils10
+Architecture: any
+Multi-Arch: same
+Section: libs
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: KDE window manager render utils library
  KWin (pronounced as one syllable "kwin") is the window
@@ -233,8 +239,8 @@
  This package is part of the KDE base workspace module.
 
 Package: kwin-wayland-backend-drm
-Section: libs
-Architecture: any
+Architecture: any
+Section: libs
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Provides: kwin-wayland-backend
 Description: KDE window manager drm plugin
@@ -249,8 +255,8 @@
  This package is part of the KDE base workspace module
 
 Package: kwin-wayland-backend-fbdev
-Section: libs
-Architecture: any
+Architecture: any
+Section: libs
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Provides: kwin-wayland-backend
 Description: KDE window manager fbdev plugin
@@ -265,8 +271,8 @@
  This package is part of the KDE base workspace module
 
 Package: kwin-wayland-backend-x11
-Section: libs
-Architecture: any
+Architecture: any
+Section: libs
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Provides: kwin-wayland-backend
 Description: KDE window manager x11 plugin
@@ -281,8 +287,9 @@
  This package is part of the KDE base workspace module
 
 Package: kwin-wayland-backend-virtual
-Section: libs
-Architecture: any
+Architecture: any
+Multi-Arch: same
+Section: libs
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Provides: kwin-wayland-backend
 Description: KDE window manager virtual plugin
